
Infrastructure - Task #2084

Story # 1906 (Closed): Review, revise, and update architecture documentation

CNCore.reserveIdentifier(session, pid) - Return Boolean instead of Identifer

2011-12-03 01:41 - Roger Dahl

Status: Rejected Start date: 2011-12-03

Priority: Low Due date:  

Assignee: Dave Vieglais % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

On success, CNCore.reserveIdentifier(session, pid) returns the same PID that was passed in. Of course, the caller already knows

which PID he passed in. We can return a boolean instead.

History

#1 - 2011-12-08 16:19 - Dave Vieglais

- Status changed from New to Rejected

There is a possibility that the passed in string may be modified - e.g. removing leading or trailing whitespace. Hence the reserved PID is returned.

#2 - 2014-10-02 17:21 - Dave Vieglais

- Target version set to Maintenance Backlog
